Bug 1099442 - Upload requests done via API are not reflected in cli upload list
Summary: Upload requests done via API are not reflected in cli upload list
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 10:29 UTC by Ina Panova
Modified: 2015-02-28 23:42 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:13:26 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 233 0 None None None Never

Description Ina Panova 2014-05-20 10:29:29 UTC
Description of problem:
If an upload request is done via cli it is seen in API list of uploads, But API upload requests are not seen in cli upload list

Scenario when 1 iso upload request is done via API and 1 upload request is done via CLI

$ curl -H "Accept: application/json" -X GET -k -u admin:admin 'https://examples.com/pulp/api/v2/content/uploads/'|python -m json.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100    96  100    96    0     0     83      0  0:00:01  0:00:01 --:--:--    83
{
    "upload_ids": [
        "fc817aa2-6bd7-4ff5-b63c-bd6de9b454f9",
        "8f95f952-a7d0-4798-9600-917eb7591801"
    ]
}

API shows 2 upload requests, Meanwhile cli shows only that is done via pulp-admin:

# pulp-admin -u admin -p admin iso repo uploads list
+----------------------------------------------------------------------+
                            Upload Requests
+----------------------------------------------------------------------+

[ Paused  ] test.iso



Version-Release number of selected component (if applicable):
2.4.0-0.16.beta

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
CLI does not show uploads done via API

Expected results:
CLI shows all upload requests - done via cli and api also

Additional info:

Comment 1 Brian Bouterse 2015-02-19 01:13:26 UTC
Moved to https://pulp.plan.io/issues/233


Note You need to log in before you can comment on or make changes to this bug.